#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 2e5 + 50;
char s[N];
int cnt[N][27];
char tgt[N];
int main()
{
    int T, n, k;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d%d%s", &n, &k, s);
        memset(cnt, 0, sizeof(int) * k * 27);
        for (int i = 0; i < n; i += k)
            for (int j = 0; j < k; j++)
            {
                cnt[j][s[i + j] - 'a']++;
                cnt[j][s[i + k - j - 1] - 'a']++;
            }
        for (int i = 0; i < k; i++) tgt[i] = 'a' + max_element(cnt[i], cnt[i] + 27) - cnt[i];
        int ans = 0;
        for (int i = 0; i < n; i += k)
            for (int j = 0; j < k; j++)
                if (s[i + j] != tgt[j]) ans++;
        printf("%d\n", ans);
    }
    return 0;
}